Skip to content

Retrieve the attributes from a document template.

GET/api/{version}/objects/documents/templates/{template_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{template_name}The document template name__v field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v22.1/objects/documents/templates/promo_ad_print_document_template__c
{ "responseStatus":"SUCCESS", "data":[ { "name__v":"promo_ad_print_document_template__c", "label__v":"Promo Ad Print Document Template", "active__v":true, "type__v":"promotional_piece__c", "subtype__v":"advertisement__c", "classification__v":"print__c", "format__v": "application/vnd.openxmlformats-officedocument.wordprocessingml.document", "size__v": 82923, "created_by__v": 12021, "file_uploaded_by__v": 12021, "md5checksum__v": 52478042594365555 } ] }

The response lists all attributes configured on a specific document template in the Vault. Shown above are the attributes configured on the specified template: